MCP Tools Reference: paydeveloper.googleapis.com

الأداة: validate_pass_jwt

تتحقّق هذه السمة من صحة تمثيل JWT لبطاقة أو حمولة JWT غير المشفرة كسلسلة JSON لبطاقة.

يوضّح المثال التالي كيفية استخدام curl لاستدعاء أداة validate_pass_jwt MCP.

طلب Curl
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "validate_pass_jwt",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

مخطط الإدخال

رسالة الطلب للتحقّق من صحة تمثيل JWT لبطاقة أو حمولة JWT غير مشفّرة كسلسلة JSON لبطاقة

ValidatePassJwtRequest

تمثيل JSON
{

  // Union field resource can be only one of the following:
  "passJwt": string,
  "passJson": string
  // End of list of possible types for union field resource.
}
الحقول
حقل الربط resource المورد المطلوب التحقّق من صحته. يجب ضبط أحد هذه الخيارات. يمكن أن يكون التعليق resource إحدى القيم التالية فقط:
passJwt

string

سلسلة تمثّل رمز JWT بالتنسيق الموضّح على https://developers.google.com/wallet/reference/rest/v1/Jwt.

passJson

string

سلسلة JSON تمثّل حمولة JWT غير مشفّرة لتذكرة بالتنسيق الموضّح في https://developers.google.com/wallet/reference/rest/v1/Jwt. يمكن ضبط هذا الحقل على تمثيل JSON الكامل الموضّح في هذا الرابط أو على محتوى حقل الحمولة الذي يحتوي على فئات وبطاقات المرور ذات الصلة فقط.

مخطط الناتج

رسالة الاستجابة للتحقّق من صحة تمثيل رمز JWT لبطاقة أو حمولة رمز JWT غير المرمّزة كسلسلة JSON لبطاقة

التعليقات التوضيحية للأدوات

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌